개발2013.04.17 20:52



 그동안 QTSDK를 이용한 개발은 해왔지만.   QT Installer 는 사용하지 않았었는데.


최근 프로젝트에서 사용해보려고  QT Installer 최신버전인 1.3을 설치했는데.....



  영 제대로 동작하지 않는다.


    package Component 스크립트중에 isDefault()라는 함수가있는데... "return true"를 해주면 해당 컴포넌트는 기본적으로 설치를 한다는 의미이다.


  그런데... 제대로 동작이 안된다.  


   그래서  installer 소스를 내려 받아 직접 빌드를 하고 나니... 동작된다... 이런...ㅡㅡ;


http://qt-project.org/wiki/Qt-Installer-Framework  

 

  그런데 문제가 여전히 있다.. 무엇인고 하니  직접 빌드한것은 DLL버전이라는점...  설치프로그램은 하나의 파일로 되어있어야 하는데.. DLL 링크 버전이라니...  


 이를 해결하려고 하면 QT를 static build 부터 해야 한다...    쩝.

Posted by 퍼니로거 즐건록
TAG ,